Bug 218952 - [exp-run] update math/gsl to 2.3
Summary: [exp-run] update math/gsl to 2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://reviews.freebsd.org/D10522
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-29 09:52 UTC by Tobias C. Berner
Modified: 2017-05-02 05:35 UTC (History)
2 users (show)

See Also:


Attachments
update to gsl-2.3.1 (27.84 KB, patch)
2017-04-29 09:52 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2017-04-29 09:52:39 UTC
Created attachment 182172 [details]
update to gsl-2.3.1

I would like to ask for an exp-run to update math/gsl to 2.3.1


The patch is attached, and can also be found here:
http://people.freebsd.org/~tcberner/patches/update-math_gsl.v1.diff
Comment 1 Wen Heping freebsd_committer 2017-04-29 23:58:19 UTC
gsl version is 2.3 but not 2.3.1

wen
Comment 2 Tobias C. Berner freebsd_committer 2017-04-30 07:52:27 UTC
(In reply to Wen Heping from comment #1)
äh, right.
Comment 3 Antoine Brodin freebsd_committer 2017-05-01 13:45:33 UTC
Exp-run looks fine
Comment 4 commit-hook freebsd_committer 2017-05-02 05:27:30 UTC
A commit references this bug:

Author: tcberner
Date: Tue May  2 05:26:45 UTC 2017
New revision: 439928
URL: https://svnweb.freebsd.org/changeset/ports/439928

Log:
  Update math/gsl to 2.3

  This release introduces some new features and fixes several bugs:
  	http://savannah.gnu.org/forum/forum.php?forum_id=8751

  * update to 2.3 and take maintainership
  * update math/py-gsl to 2.2.0 for gsl2 support
  * update math/rubygem-rb-gsl to 2.1.0.2 for gsl2 support

  PR:		218952
  Exp-run by:	antoine
  Reviewed by:	mat, rakuco
  Approved by:	rakuco (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10522

Changes:
  head/audio/snd/Makefile
  head/benchmarks/flowgrind/Makefile
  head/biology/bcftools/Makefile
  head/comms/gnuradio/Makefile
  head/editors/calligra/Makefile
  head/graphics/amide/Makefile
  head/graphics/amide/files/patch-gsl_2x
  head/graphics/enblend/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/luminance/Makefile
  head/graphics/luminance-qt5/Makefile
  head/graphics/nip2/Makefile
  head/graphics/pfstmo/Makefile
  head/graphics/qgis/Makefile
  head/graphics/xaos/Makefile
  head/lang/algol68g/Makefile
  head/mail/bogofilter/Makefile
  head/math/asymptote/Makefile
  head/math/dieharder/Makefile
  head/math/fflas-ffpack/Makefile
  head/math/giacxcas/Makefile
  head/math/gsl/Makefile
  head/math/gsl/distinfo
  head/math/gsl/pkg-plist
  head/math/labplot/Makefile
  head/math/ocamlgsl/Makefile
  head/math/octave-forge-gsl/Makefile
  head/math/orpie/Makefile
  head/math/orpie/files/patch-gsl_mlgsl__sf.c
  head/math/p5-Math-GSL/Makefile
  head/math/p5-Math-GSL/pkg-plist
  head/math/pspp/Makefile
  head/math/py-gsl/Makefile
  head/math/py-gsl/distinfo
  head/math/qtiplot/Makefile
  head/math/qtiplot/files/patch-archgit_c5e8e49
  head/math/rubygem-rb-gsl/Makefile
  head/math/rubygem-rb-gsl/distinfo
  head/science/afni/Makefile
  head/science/fisicalab/Makefile
  head/science/getdp/Makefile
  head/science/gnudatalanguage/Makefile
  head/science/kst2/Makefile
  head/science/kst2/files/patch-git_a9d24f9
  head/science/py-mlpy/Makefile
  head/science/step/Makefile
Comment 5 Tobias C. Berner freebsd_committer 2017-05-02 05:35:29 UTC
Thanks for the exp-run.